# APSecret BVT
This BVT is used to verify the health of APSecret server, APSecret client, and APSecret refresh scripts.

If you add any refresh scripts, be sure to update this BVT's `enrolled_secrets` dictionary to include all secrets expected to be available to Linux machines. The key is the name of the secret as typed in the APSecret vault. The value is the full path to the script responsible for refreshing the secret to include all arguments passed to the script if any.

This BVT will raise an error when any one of the following conditions is detected:
* The secret is empty or does not exist in the APSecret vault
* The refresh script doesn't exist
* The refresh script timeout (15s) is reached
* The refresh script returns a non-zero return code
* The refresh script prints anything to `stderr`
* The APSecret client fails to download or cache the secret properly
