# Helper for starting and stopping GARS
from common.shellhelper import ShellHelper


class GARS:
    @staticmethod
    def stop():
        print("Stopping GARS")
        ret, result = ShellHelper.run_cmd_output("systemctl stop getandrunservices.service")
        assert ret, "Couldn't stop GARS"

    @staticmethod
    def restart():
        print("Restarting GARS")
        ret, result = ShellHelper.run_cmd_output("systemctl restart getandrunservices.service")
        assert ret, "Starting GARS failed"
